Back to YouTube
TikHub·YouTube

YouTube Web V2: Get channel shorts

/api/v1/youtube/web_v2/get_channel_shortssync$0.003 / call

Get YouTube channel's Shorts (short videos) list. Supports pagination to get more shorts (TikHub · YouTube Web V2)

Input
  • channel_idstring

    Channel ID (e.g., UCuAXFkgsw1L7xaCfnd5JJOw)

  • channel_urlstring

    Ignored if channelid is provided)

  • continuation_tokenstring

    Pagination token

  • need_formatboolean

    Whether to format data (default true)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_channel_shorts","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.